Summary: Aspell is an Open Source spell checker.
Name: aspell
Version: .27.2
Release: 1
Group: Utilities/Text
Copyright: LGPL
URL: http://metalab.unc.edu/kevina/aspell/
Packager: Hao Li <hli@wag.caltech.edu>
Source: http://metalab.unc.edu/kevina/aspell/aspell-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
Aspell is an Open Source spell checker designed to eventually replace
Ispell. Its main feature is that it does a much better job of coming
up with possible suggestions than Ispell does. In fact recent tests
shows that it even does better than Microsoft Word 97's spell checker
in some cases. In addition it has both compile time and run time
support for other non English languages. Aspell also doubles as a
powerful C++ library with C and Perl interfaces in the works.


%package devel
Summary: Static Libraries and header files for aspell
Group: Development/Libraries

%description	devel
Aspell is an Open Source spell checker.
This package includes static Libraries and header files for aspell.


%prep
%setup -q


%build
CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-static
make


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip
mv $RPM_BUILD_ROOT/usr/doc/aspell rpm_doc


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc README TODO rpm_doc/*
/usr/bin/*
/usr/lib/aspell
/usr/lib/lib*.so.*

%files devel
%defattr(-,root,root)
/usr/include/*
/usr/lib/lib*.a
/usr/lib/lib*.la
/usr/lib/lib*.so


%clean
rm -rf $RPM_BUILD_ROOT

